Subject: Comments on draft-ietf-isis-domain-wide-01.txt

From: Neil Turner <[email-masked]>
Date: Thu, 1 Jul 1999 16:01:44 +0100

My appologies for the empty mail messages earlier...something very strange seems to have been happening on my PC. I was trying to make a comment of one of the recent IETF drafts...see below.

I think point 3 in section 3.1 needs clarification. I didn't fully understand it when I first 
read it...I think I do now! 

Currently...

3) Within L1, an intra-area prefix is preferred over an inter-area prefix, regardless of the
comparison of the metric.

I think a better wording would be, 

3) An L1 or an L2 intra-area prefix is preferred over an inter-area prefix, regardless of the
comparison of the metric.

Clearly if a router is operating at both level 1 and level 2 it should never use a L2->L1 inter-area route for forwarding.

Maybe a table showing the recommended preference of routes would help. Something like the following perhaps,

		More preferred	L1 intra-area
				L2 intra-area
				L1->L2 inter-area
				L2->L1 inter-area
		Less preferred	Externals

Regards,
Neil Turner